Subject: Re: [PATCH net-next v4 11/11] net: dsa: realtek: rtl8365mb: multiple cpu ports, non cpu extint

From: Vladimir Oltean <[email-masked]>
Date: Thu, 20 Jan 2022 17:12:22 +0200

On Tue, Jan 18, 2022 at 02:20:57PM +0100, Andrew Lunn wrote:
> On Tue, Jan 18, 2022 at 01:58:39AM -0300, Luiz Angelo Daros de Luca wrote:
> > > the problem is checksum offloading on the gmac (soc-side)
> > 
> > I suggested it might be checksum problem because I'm also affected. In
> > my case, I have an mt7620a SoC connected to the rtl8367s switch. The
> > OS offloads checksum to HW but the mt7620a cannot calculate the
> > checksum with the (EtherType) Realtek CPU Tag in place. I'll try to
> > move the CPU tag to test if the mt7620a will then digest the frame
> > correctly.
> 
> Some MAC hardware you can tell it where the ether type value is in the
> frame. This is often used to skip over the VLAN header, but it can
> also be used to skip DSA headers. Check the datasheet for the hardware
> and see if there is anything like that.
> 
>     Andrew

And what is the problem if the hardware cannot calculate the checksum
with an unknown EtherType? Is it the DSA master that drops the packets
in hardware? What is the reported error counter?